IMG_0239.jpg=Blueberry bush.
IMG_0245.jpg=Red leaf maple and rodidendrum
IMG_0241.jpg=Blueberries and Gooseberries
IMG_0240.jpg=Raised beds for our vegetable gardens
IMG_0250.jpg=Looking back towards our house from the chicken coop.
IMG_0237.jpg=Garden path to chicken coop.
IMG_0238.jpg=Path below our sun room.
